package com.goldenwater.yjjt.service;

import com.goldenwater.yjjt.domain.YjjtSzData;

import java.util.List;

public interface IYjjtSzDataService {

    List<YjjtSzData> selectYjjtSzDataList(YjjtSzData yjjtSzData);

    YjjtSzData selectYjjtSzDataById(Long id);

    int insertYjjtSzData(YjjtSzData yjjtSzData);

    int updateYjjtSzData(YjjtSzData yjjtSzData);

    int deleteYjjtSzDataById(Long id);

    int deleteYjjtSzDataByIds(Long[] ids);

    void importSzData(List<YjjtSzData> dataList, String bizType);
}